Package be.fgov.ehealth.certra.core.v2

# Class ObjectFactory

java.lang.Object
be.fgov.ehealth.certra.core.v2.ObjectFactory

public class ObjectFactory extends Object
This object contains factory methods for each Java content interface and Java element interface generated in the be.fgov.ehealth.certra.core.v2 package.

An ObjectFactory allows you to programmatically construct new instances of the Java representation for XML content. The Java representation of XML content can consist of schema derived interfaces and classes representing the binding of schema type definitions, element declarations and model groups. Factory methods for each of these are provided in this class.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ObjectFactory()`
  Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: be.fgov.ehealth.certra.core.v2

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CertificateDetailsType`
  `createCertificateDetailsType()`
  Create an instance of `CertificateDetailsType`
  `CertificateEntityType`
  `createCertificateEntityType()`
  Create an instance of `CertificateEntityType`
  `CertificateIdentifierType`
  `createCertificateIdentifierType()`
  Create an instance of `CertificateIdentifierType`
  `CertificateInfoType`
  `createCertificateInfoType()`
  Create an instance of `CertificateInfoType`
  `ContactDataType`
  `createContactDataType()`
  Create an instance of `ContactDataType`
  `ContractType`
  `createContractType()`
  Create an instance of `ContractType`
  `EHealthCertificateSigningRequestType`
  `createEHealthCertificateSigningRequestType()`
  Create an instance of `EHealthCertificateSigningRequestType`
  `LocalizedString`
  `createLocalizedString()`
  Create an instance of `LocalizedString`
  `OrganizationIdentifierType`
  `createOrganizationIdentifierType()`
  Create an instance of `OrganizationIdentifierType`
  `OrganizationType`
  `createOrganizationType()`
  Create an instance of `OrganizationType`
  `RevocationContractType`
  `createRevocationContractType()`
  Create an instance of `RevocationContractType`
  `TextType`
  `createTextType()`
  Create an instance of `TextType`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ObjectFactory

    public ObjectFactory()
    Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: be.fgov.ehealth.certra.core.v2

- ## Method Details

  - ### createTextType

    public TextType createTextType()
    Create an instance of `TextType`
    Returns:
      the new instance of `TextType`

  - ### createLocalizedString

    public LocalizedString createLocalizedString()
    Create an instance of `LocalizedString`
    Returns:
      the new instance of `LocalizedString`

  - ### createContactDataType

    public ContactDataType createContactDataType()
    Create an instance of `ContactDataType`
    Returns:
      the new instance of `ContactDataType`

  - ### createCertificateIdentifierType

    public CertificateIdentifierType createCertificateIdentifierType()
    Create an instance of `CertificateIdentifierType`
    Returns:
      the new instance of `CertificateIdentifierType`

  - ### createOrganizationType

    public OrganizationType createOrganizationType()
    Create an instance of `OrganizationType`
    Returns:
      the new instance of `OrganizationType`

  - ### createOrganizationIdentifierType

    public OrganizationIdentifierType createOrganizationIdentifierType()
    Create an instance of `OrganizationIdentifierType`
    Returns:
      the new instance of `OrganizationIdentifierType`

  - ### createContractType

    public ContractType createContractType()
    Create an instance of `ContractType`
    Returns:
      the new instance of `ContractType`

  - ### createRevocationContractType

    public RevocationContractType createRevocationContractType()
    Create an instance of `RevocationContractType`
    Returns:
      the new instance of `RevocationContractType`

  - ### createEHealthCertificateSigningRequestType

    public EHealthCertificateSigningRequestType createEHealthCertificateSigningRequestType()
    Create an instance of `EHealthCertificateSigningRequestType`
    Returns:
      the new instance of `EHealthCertificateSigningRequestType`

  - ### createCertificateEntityType

    public CertificateEntityType createCertificateEntityType()
    Create an instance of `CertificateEntityType`
    Returns:
      the new instance of `CertificateEntityType`

  - ### createCertificateInfoType

    public CertificateInfoType createCertificateInfoType()
    Create an instance of `CertificateInfoType`
    Returns:
      the new instance of `CertificateInfoType`

  - ### createCertificateDetailsType

    public CertificateDetailsType createCertificateDetailsType()
    Create an instance of `CertificateDetailsType`
    Returns:
      the new instance of `CertificateDetailsType`